use algpath::{
    reckless::{self, complex, Cif, Rif}, reckless_extra::UnsafeRecklessTm5, traits::interval
};
use criterion::{black_box, criterion_group, criterion_main, BatchSize, BenchmarkId, Criterion};
use rand::Rng;

pub fn mul(c: &mut Criterion) {
    let mut rng = rand::rng();

    c.bench_function("UnsafeRecklessTm5 mul", |b| {
        b.iter_batched(
            || (rng.random(), rng.random()),
            |(i, j): (UnsafeRecklessTm5, UnsafeRecklessTm5)| i * j,
            BatchSize::SmallInput,
        )
    });
}

criterion_group!(benches, mul);
criterion_main!(benches);
