use std::time::Instant;

use algpath::dummy;
use algpath::reckless::{real::Interval, with_rounding_up, Rif};

#[test]
fn round_test() {
    let n: usize = 100_000_000;
    let mut x: Interval = 0.1234512.into();
    let y: Interval = 0.005671234.into();
    let mut start = Instant::now();
    for _ in 0..n {
        x = x + y;
    }
    dbg!(start.elapsed());

    x = 0.1234512.into();
    start = Instant::now();
    with_rounding_up(|| {
        for _ in 0..n {
            x = Interval::_add(x, y);
        }
    });
    dbg!(start.elapsed());
}

#[test]
fn dummy_test() {
    let t = Rif::from(0.99999999);
    let s = 1e-50;
    dummy(t, s);
}
